Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class RowBandAdapter

    java.lang.Object
      org.eclipse.birt.report.model.api.RowBandAdapter

Direct Known Subclasses:
  GridRowBandAdapter, TableRowBandAdapter

    public abstract class RowBandAdapter

extends java.lang.Object

Represents an object for copy/paste in Gird/Table. The copy/paste between Grid/Table must follow the following rules:

- Copy/paste operations must occur among the same type of elements, like among grid elements. A copy/paste operation between Grid/Table is not allowed.
- Current copy/paste operations do not support cells with "drop" properties.
- Each time, only one row can be copied/pasted.
- Slot layouts between the source grid/table and the target grid/table must be same.

Constructor Summary
`RowBandAdapter()`

Method Summary
`protected int` | `computeRowCount(RowHandle rowHandle)` Computes column count in one row.
`protected int` | `computeRowCount(org.eclipse.birt.report.model.elements.TableRow row)` Computes column count in one row.
`protected abstract int` | `getColumnCount()` Returns the number of columns in the element.
`protected abstract ReportItemHandle` | `getElementHandle()` Returns the element where the copy/paste operation occurs.
`protected org.eclipse.birt.report.model.core.Module` | `getModule()` Returns the module where the element belongs to.
`protected abstract int` | `getRowCount()` Returns count of rows.
`protected boolean` | `hasParent()` Checks element has parent or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RowBandAdapter

    public RowBandAdapter()

Method Detail

### getElementHandle

    protected abstract ReportItemHandle getElementHandle()

  Returns the element where the copy/paste operation occurs.

  Returns:
    the element

### getModule

    protected org.eclipse.birt.report.model.core.Module getModule()

  Returns the module where the element belongs to.

  Returns:
    the module

### getColumnCount

    protected abstract int getColumnCount()

  Returns the number of columns in the element.

  Returns:
    the number of columns in the element

### getRowCount

    protected abstract int getRowCount()

  Returns count of rows.

  Returns:
    count of rows.

### computeRowCount

    protected int computeRowCount(org.eclipse.birt.report.model.elements.TableRow row)

  Computes column count in one row.

  Parameters:
    `row` -
  Returns:
    column count in one row.

### computeRowCount

    protected int computeRowCount(RowHandle rowHandle)

  Computes column count in one row.

  Parameters:
    `rowHandle` -
  Returns:
    column count in one row.

### hasParent

    protected boolean hasParent()

  Checks element has parent or not.

  Returns:
    `true`if has parent, else return `false`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.